#!/bin/bash
Name:    fonts-xorg
Version: 6.8.2
Release: 1.EL
Summary: X Window System fonts
License: Redistributable
Group:   User Interface/X
URL:     http://xorg.freedesktop.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

# Source tarball created by enabling with_fonts in an xorg-x11 src.rpm
# build, rebuilding xorg-x11, then running the following command on the
# resulting packages:
# for fontrpm in xorg-x11-*fonts-*.rpm ; do (rpm2cpio $fontrpm|cpio -id) ; done
# cd usr/X11R6/lib/X11 ; tar jcvf fonts-xorg-$version.tar.bz2 fonts/
Source: %{name}-%{version}.tar.bz2
# These defines must precede any usage of them, or bad things will happen.
%define _x11dir			/usr/X11R6
%define _x11bindir		%{_x11dir}/bin
%define _x11datadir		%{_x11dir}/lib
%define _x11includedir		%{_x11dir}/include
%define _x11localedir		%{_x11datadir}/X11/locale
%define _x11libdir		%{_x11dir}/%{_lib}
%define _x11mandir		%{_x11dir}/man
%define _x11fontdir		%{_x11datadir}/X11/fonts
# Command macros
%define __mkfontdir	umask 133 ; which mkfontdir &> /dev/null && mkfontdir
%define __mkfontscale	umask 133 ; which mkfontscale &> /dev/null && mkfontscale
%define __fccache	umask 133 ; which fc-cache &> /dev/null && fc-cache

%description
This package contains various fonts which have been separated out of the
X.Org X11 source code into a separate package in order to be able to
supply the fonts as noarch packages, and update them independantly of
X.Org X11 package updates.

######################################################################
# Font subpackages
%package base
Summary: Base fonts required by the X Window System
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, fontconfig, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir, fontconfig
# Required so upgrades work, since base fonts moved here from main pkg
Conflicts: XFree86 <= 4.2.0-3.1
# The fonts.* files from truetype and syriac moved from those pkgs to base
Conflicts: XFree86-truetype-fonts < 4.2.99.901-20030209.2
Conflicts: XFree86-syriac-fonts < 4.2.99.901-20030209.2
Obsoletes: XFree86-base-fonts
Obsoletes: xorg-x11-base-fonts
# This is strictly for backward compatibility, and is stupid crap that breaks upgrades duh
#Provides: xorg-x11-base-fonts = 6.7.99.903-1
# This is the one that should get used by xorg-x11 packaging and other things
# that require this subpackage.
Provides: base-fonts = 6.8.0-1

%description base
This package provides the base fonts that are required by the X Window System.
######################################################################
%package truetype
Summary: TrueType fonts provided by the X Window System
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, fontconfig, ttmkfdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir, fontconfig, ttmkfdir
Obsoletes: XFree86-truetype-fonts
Obsoletes: xorg-x11-truetype-fonts

%description truetype
A collection of truetype fonts which are part of the core X Window System
distribution.
######################################################################
%package syriac
Summary: Syriac TrueType fonts by Beth Mardutho
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, %{_x11bindir}/mkfontscale, fontconfig, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir, %{_x11bindir}/mkfontscale, fontconfig
Obsoletes: XFree86-syriac-fonts
Obsoletes: xorg-x11-syriac-fonts

%description syriac
A collection of Syriac truetype fonts from Beth Mardutho, which are part
of the core X Window System distribution.
######################################################################
%package 75dpi
Summary: A set of 75dpi resolution fonts for the X Window System.
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir
Obsoletes: XFree86-75dpi-fonts
Obsoletes: xorg-x11-75dpi-fonts

%description 75dpi
A set of 75 dpi fonts used by the X window system.
######################################################################
%package 100dpi
Summary: A set of 100dpi resolution fonts for the X Window System.
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir
Obsoletes: XFree86-100dpi-fonts
Obsoletes: xorg-x11-100dpi-fonts

%description 100dpi
A set of 100 dpi fonts used by the X window system.
######################################################################
%package ISO8859-2-75dpi
Summary: A set of 75dpi Central European language fonts for X.
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir
Obsoletes: XFree86-ISO8859-2-75dpi-fonts
Obsoletes: xorg-x11-ISO8859-2-75dpi-fonts

%description ISO8859-2-75dpi
Contains a set of 75dpi fonts for Central European languages.
######################################################################
%package ISO8859-2-100dpi
Summary: A set of 100dpi Central European language fonts for X.
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir
Obsoletes: XFree86-ISO8859-2-100dpi-fonts
Obsoletes: xorg-x11-ISO8859-2-100dpi-fonts

%description ISO8859-2-100dpi
Contains a set of 100dpi fonts for Central European languages.
######################################################################
%package ISO8859-9-75dpi
Summary: ISO8859-9-75dpi fonts
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir
Obsoletes: XFree86-ISO8859-9-75dpi-fonts
Obsoletes: xorg-x11-ISO8859-9-75dpi-fonts

%description ISO8859-9-75dpi
Contains a set of 75dpi fonts for the Turkish language.
######################################################################
%package ISO8859-9-100dpi
Summary: ISO8859-9-100dpi fonts
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir
Obsoletes: XFree86-ISO8859-9-100dpi-fonts
Obsoletes: xorg-x11-ISO8859-9-100dpi-fonts

%description ISO8859-9-100dpi
Contains a set of 100dpi fonts for the Turkish language.
######################################################################
%package ISO8859-14-75dpi
Summary: ISO8859-14-75dpi fonts
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir
Obsoletes: XFree86-ISO8859-14-75dpi-fonts
Obsoletes: xorg-x11-ISO8859-14-75dpi-fonts

%description ISO8859-14-75dpi
Contains a set of 75dpi fonts in the ISO8859-14 encoding which
provide Welsh support.
######################################################################
%package ISO8859-14-100dpi
Summary: ISO8859-14-100dpi fonts
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir
Obsoletes: XFree86-ISO8859-14-100dpi-fonts
Obsoletes: xorg-x11-ISO8859-14-100dpi-fonts

%description ISO8859-14-100dpi
Contains a set of 100dpi fonts in the ISO8859-14 encoding which
provide Welsh support.
######################################################################
%package ISO8859-15-75dpi
Summary: ISO8859-15-75dpi fonts
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir
Obsoletes: XFree86-ISO8859-15-75dpi-fonts
Obsoletes: xorg-x11-ISO8859-15-75dpi-fonts

%description ISO8859-15-75dpi
Contains a set of 75dpi fonts in the ISO8859-15 encoding which
provide Euro support.
######################################################################
%package ISO8859-15-100dpi
Summary: ISO8859-15-100dpi fonts
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir
Obsoletes: XFree86-ISO8859-15-100dpi-fonts
Obsoletes: xorg-x11-ISO8859-15-100dpi-fonts

%description ISO8859-15-100dpi
Contains a set of 100dpi fonts in the ISO8859-15 encoding which
provide Euro support.
######################################################################
%package cyrillic
Summary: Cyrillic fonts for X.
Group: User Interface/X
Requires(post): %{_x11bindir}/mkfontdir, chkfontpath
Requires(postun): %{_x11bindir}/mkfontdir
Obsoletes: XFree86-cyrillic-fonts
Obsoletes: xorg-x11-cyrillic-fonts

%description cyrillic
Contains a set of Cyrillic fonts.
# End of font subpackages ############################################

%prep
%setup -q -c %{name}-%{version}

%build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%install
mkdir -p $RPM_BUILD_ROOT%{_x11fontdir}
cp -a fonts/* $RPM_BUILD_ROOT%{_x11fontdir}
# We supply Bitstream Vera fonts in a separate rpm package
rm -f $RPM_BUILD_ROOT%{_x11fontdir}/TTF/Vera*
rm -rf $RPM_BUILD_ROOT%{_x11fontdir}/util
# Remove fonts which contain bad codepoints, as documented in bug #97591
{
    rm -f $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMCtesiphon.otf
    rm -f $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMKharput.otf
    rm -f $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMMalankara.otf
    rm -f $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMMidyat.otf
    rm -f $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMQenNeshrin.otf
    rm -f $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMTurAbdin.otf
    rm -f $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMUrhoyBold.otf
    rm -f $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMUrhoy.otf
}

# Create various ghost files, needed by RPM when packaging
{
    # Make ghost fonts.alias, fonts.dir, encodings.dir files
    FONTDIR=$RPM_BUILD_ROOT%{_x11fontdir}
    touch $FONTDIR/{OTF,TTF}/fonts.{alias,scale}
    for subdir in 100dpi 75dpi CID local misc Type1 TTF OTF cyrillic ; do
        rm -f $FONTDIR/$subdir/{encodings,fonts}.dir
        touch $FONTDIR/$subdir/{encodings,fonts}.dir
        chmod 0644 $FONTDIR/$subdir/{encodings,fonts}.dir
    done
    for subdir in Type1 TTF OTF ; do
	touch $FONTDIR/$subdir/fonts.cache-1
	chmod 0644 $FONTDIR/$subdir/fonts.cache-1
    done
}


%post base
{
# FIXME: Make it only run mkfontdir in dirs that have fonts in them.
# Build fonts.dir files for all font dirs in this package.
# (exclude the local and CID dirs as they do not have fonts currently)
  for fontdir in 100dpi 75dpi misc Type1 ;do
    %__mkfontdir %{_x11fontdir}/$fontdir || :
  done
  /usr/sbin/chkfontpath -qa %{_x11fontdir}/75dpi:unscaled || :
  /usr/sbin/chkfontpath -qa %{_x11fontdir}/100dpi:unscaled || :
  /usr/sbin/chkfontpath -qa %{_x11fontdir}/misc:unscaled || :
  /usr/sbin/chkfontpath -qa %{_x11fontdir}/Type1 || :
  # Remove the Speedo directory from xfs config as X.Org no longer provides
  # Speedo font support.
  /usr/sbin/chkfontpath -qr %{_x11fontdir}/Speedo || :
# Only run fc-cache in the Type1 dir, gzipped pcf's take forever
  %__fccache %{_x11fontdir}/Type1 || :
} &> /dev/null || :

%postun base
{
  # Rebuild fonts.dir when uninstalling package. (exclude the local, CID dirs)
  if [ "$1" = "0" ]; then
    for fontdir in 100dpi 75dpi misc Type1 ;do
      %__mkfontdir %{_x11fontdir}/$fontdir || :
    done
# Only run fc-cache in the Type1 dir, gzipped pcf's take forever
    %__fccache %{_x11fontdir}/Type1 || :
  fi
} &> /dev/null || :

%post truetype
{
  FONTDIR=%{_x11fontdir}/TTF
  ttmkfdir -d $FONTDIR -o $FONTDIR/fonts.scale
  %__mkfontdir $FONTDIR
  %__fccache $FONTDIR
  /usr/sbin/chkfontpath -q -a $FONTDIR
} &> /dev/null || :

%postun truetype
{
  FONTDIR=%{_x11fontdir}/TTF
  if [ "$1" = "0" ]; then
    ttmkfdir -d $FONTDIR -o $FONTDIR/fonts.scale
    %__mkfontdir $FONTDIR
    %__fccache $FONTDIR
  fi
} &> /dev/null || :

%post syriac
{
  FONTDIR=%{_x11fontdir}/OTF
  %__mkfontscale $FONTDIR 
  %__mkfontdir $FONTDIR
  %__fccache $FONTDIR
  /usr/sbin/chkfontpath -q -a $FONTDIR
} &> /dev/null || :

%postun syriac
{
  FONTDIR=%{_x11fontdir}/OTF
  if [ "$1" = "0" ]; then
    %__mkfontscale $FONTDIR 
    %__mkfontdir $FONTDIR
    %__fccache $FONTDIR
  fi
} &> /dev/null || :

%post 75dpi
{
    %__mkfontdir %{_x11fontdir}/75dpi
#    %__fccache %{_x11fontdir}/75dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/75dpi:unscaled
} &> /dev/null || :

%post 100dpi
{
    %__mkfontdir %{_x11fontdir}/100dpi
#    %__fccache %{_x11fontdir}/100dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
} &> /dev/null || :

%post ISO8859-2-75dpi
{
    %__mkfontdir %{_x11fontdir}/75dpi
#    %__fccache %{_x11fontdir}/75dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/75dpi:unscaled
} &> /dev/null || :

%post ISO8859-2-100dpi
{
    %__mkfontdir %{_x11fontdir}/100dpi
#    %__fccache %{_x11fontdir}/100dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
} &> /dev/null || :

%post ISO8859-9-75dpi
{
    %__mkfontdir %{_x11fontdir}/75dpi
#    %__fccache %{_x11fontdir}/75dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/75dpi:unscaled
} &> /dev/null || :

%post ISO8859-9-100dpi
{
    %__mkfontdir %{_x11fontdir}/100dpi
#    %__fccache %{_x11fontdir}/100dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
} &> /dev/null || :

%post ISO8859-14-75dpi
{
    %__mkfontdir %{_x11fontdir}/75dpi
#    %__fccache %{_x11fontdir}/75dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/75dpi:unscaled
} &> /dev/null || :
    

%post ISO8859-14-100dpi
{
    %__mkfontdir %{_x11fontdir}/100dpi
#    %__fccache %{_x11fontdir}/100dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
} &> /dev/null || :

%post ISO8859-15-75dpi
{
    %__mkfontdir %{_x11fontdir}/75dpi
#    %__fccache %{_x11fontdir}/75dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/75dpi:unscaled
} &> /dev/null || :
    

%post ISO8859-15-100dpi
{
    %__mkfontdir %{_x11fontdir}/100dpi
#    %__fccache %{_x11fontdir}/100dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
} &> /dev/null || :

%post cyrillic
{
    %__mkfontdir %{_x11fontdir}/cyrillic
#    %__fccache %{_x11fontdir}/cyrillic
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/cyrillic:unscaled
} &> /dev/null || :

%postun 75dpi
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_x11fontdir}/75dpi
#    %__fccache %{_x11fontdir}/75dpi
  fi
} &> /dev/null || :

%postun 100dpi
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_x11fontdir}/100dpi
#    %__fccache %{_x11fontdir}/100dpi
  fi
} &> /dev/null || :

%postun ISO8859-2-75dpi
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_x11fontdir}/75dpi
#    %__fccache %{_x11fontdir}/75dpi
  fi
} &> /dev/null || :

%postun ISO8859-2-100dpi
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_x11fontdir}/100dpi
#    %__fccache %{_x11fontdir}/100dpi
  fi
} &> /dev/null || :

%postun ISO8859-9-75dpi
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_x11fontdir}/75dpi
#    %__fccache %{_x11fontdir}/75dpi
  fi
} &> /dev/null || :

%postun ISO8859-9-100dpi
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_x11fontdir}/100dpi
#    %__fccache %{_x11fontdir}/100dpi
  fi
} &> /dev/null || :

%postun ISO8859-14-75dpi
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_x11fontdir}/75dpi
#    %__fccache %{_x11fontdir}/75dpi
  fi
} &> /dev/null || :

%postun ISO8859-14-100dpi
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_x11fontdir}/100dpi
#    %__fccache %{_x11fontdir}/100dpi
  fi
} &> /dev/null || :

%postun ISO8859-15-75dpi
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_x11fontdir}/75dpi
#    %__fccache %{_x11fontdir}/75dpi
  fi
} &> /dev/null || :

%postun ISO8859-15-100dpi
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_x11fontdir}/100dpi
#    %__fccache %{_x11fontdir}/100dpi
  fi
} &> /dev/null || :

%postun cyrillic
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_x11fontdir}/cyrillic
#    %__fccache %{_x11fontdir}/cyrillic
  fi
} &> /dev/null || :

########## FILES SECTION #############################################
# IMPORTANT NOTE:  All fonts.dir, fonts.scale files are created during package
# installation time, and as such need to be flagged as ghost files, also their
# content is variable while installed as new fonts can be installed in the same
# directories potentially at any time, so they need to be flagged with %verify
# also.  They should not be flagged with %config however as they are not
# considered to be user editable, and should not be preserved.  Any case of a
# user wanting to edit these files by hand for ANY REASON, indicates a bug
# in the mkfontdir/ttmkfdir tools which should be fixed instead.
#
# encodings.dir files also should be flagged with %ghost and %verify, since
# the same applies to them, the only difference is that it may not actually
# exist unless the user creates it for some reason.  These files are deprecated
# and will be removed in a future upstream release entirely.
#
# fonts.alias should be flagged with %verify as it is modifyable.  For directories
# in which we supply a fonts.alias file, it should be flagged %config(noreplace)
# and for dirs which we do not supply one it should be flagged as both %ghost
# and %config(noreplace) so that the files are actually owned by the package,
# just not supplied by default, and they are preserved across upgrades.

######################################################################
# Fonts
%files base
%defattr(-,root,root)
%dir %{_x11fontdir}
# base 100dpi fonts
%dir %{_x11fontdir}/100dpi
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/encodings.dir
%config(noreplace) %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.dir
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.scale
# base 75dpi fonts
%dir %{_x11fontdir}/75dpi
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/encodings.dir
%config(noreplace) %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.dir
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.scale
# base CID fonts
%dir %{_x11fontdir}/CID
%ghost %verify(not md5 size mtime) %{_x11fontdir}/CID/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/CID/fonts.dir
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/CID/fonts.scale
# Encoding files
%dir %{_x11fontdir}/encodings
%{_x11fontdir}/encodings/*
#%dir %{_x11fontdir}/encodings/large
#%{_x11fontdir}/encodings/large/*
# local, and misc do not currently contain fonts, but we want to own the dir
%dir %{_x11fontdir}/local
%ghost %verify(not md5 size mtime) %{_x11fontdir}/local/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/local/fonts.dir
# base misc files
%dir %{_x11fontdir}/misc
%{_x11fontdir}/misc/*.pcf.gz
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/encodings.dir
%config(noreplace) %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.dir
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.scale

# base Type1 fonts
%dir %{_x11fontdir}/Type1
%{_x11fontdir}/Type1/*.afm
%{_x11fontdir}/Type1/*.pfa
%{_x11fontdir}/Type1/*.pfb
%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/fonts.dir
%verify(not md5 size mtime) %{_x11fontdir}/Type1/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/fonts.cache*
# Make base own the other font directories and auxilliary files
%dir %{_x11fontdir}/OTF
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/encodings.dir
%ghost %verify(not md5 size mtime) %config(noreplace) %{_x11fontdir}/OTF/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.cache*
%dir %{_x11fontdir}/TTF
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/encodings.dir
%ghost %verify(not md5 size mtime) %config(noreplace) %{_x11fontdir}/TTF/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.cache*

%files truetype
%defattr(-,root,root)
%dir %{_x11fontdir}/TTF
%{_x11fontdir}/TTF/luxi*.ttf

%files syriac
%defattr(-,root,root)
%dir %{_x11fontdir}/OTF
%{_x11fontdir}/OTF/Syr*.otf

%files 75dpi
%defattr(-,root,root)
%dir %{_x11fontdir}/75dpi
%exclude %{_x11fontdir}/75dpi/*-ISO8859-2.pcf.gz
%exclude %{_x11fontdir}/75dpi/*-ISO8859-9.pcf.gz
%exclude %{_x11fontdir}/75dpi/*-ISO8859-14.pcf.gz
%exclude %{_x11fontdir}/75dpi/*-ISO8859-15.pcf.gz
%{_x11fontdir}/75dpi/*.pcf.gz

%files 100dpi
%defattr(-,root,root)
%dir %{_x11fontdir}/100dpi
%exclude %{_x11fontdir}/100dpi/*-ISO8859-2.pcf.gz
%exclude %{_x11fontdir}/100dpi/*-ISO8859-9.pcf.gz
%exclude %{_x11fontdir}/100dpi/*-ISO8859-14.pcf.gz
%exclude %{_x11fontdir}/100dpi/*-ISO8859-15.pcf.gz
%{_x11fontdir}/100dpi/*.pcf.gz

%files ISO8859-2-75dpi
%defattr(-,root,root)
%{_x11fontdir}/75dpi/*-ISO8859-2.pcf.gz

%files ISO8859-2-100dpi
%defattr(-,root,root)
%{_x11fontdir}/100dpi/*-ISO8859-2.pcf.gz

%files ISO8859-9-75dpi
%defattr(-,root,root)
%{_x11fontdir}/75dpi/*-ISO8859-9.pcf.gz

%files ISO8859-9-100dpi
%defattr(-,root,root)
%{_x11fontdir}/100dpi/*-ISO8859-9.pcf.gz

%files ISO8859-14-75dpi
%defattr(-,root,root)
%{_x11fontdir}/75dpi/*-ISO8859-14.pcf.gz

%files ISO8859-14-100dpi
%defattr(-,root,root)
%{_x11fontdir}/100dpi/*-ISO8859-14.pcf.gz

%files ISO8859-15-75dpi
%defattr(-,root,root)
%{_x11fontdir}/75dpi/*-ISO8859-15.pcf.gz

%files ISO8859-15-100dpi
%defattr(-,root,root)
%{_x11fontdir}/100dpi/*-ISO8859-15.pcf.gz

%files cyrillic
%defattr(-,root,root)
%dir %{_x11fontdir}/cyrillic
%{_x11fontdir}/cyrillic/*.gz
%ghost %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/encodings.dir
%config(noreplace) %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/fonts.dir
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/fonts.scale
# End of font subpackages
#######################################################################

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 

%changelog
* Mon Nov 28 2005 Mike A. Harris <mharris@redhat.com> 6.8.2-1.EL
- Updated fonts-xorg with changes from FC4/devel to remove Speedo fonts from
  the package, which are no longer supported by the X server. (#166637)

* Fri Nov 25 2005 Mike A. Harris <mharris@redhat.com> 6.8.2-2
- Add "} &> /dev/null || :" to the end of all rpm postun scripts to silence
  and ignore errors.
- Change __mkfontdir and __mkfontscale macros to use 'which' instead of hard
  coding the paths, and only invoke them if successful.

* Fri Apr  8 2005 Mike A. Harris <mharris@redhat.com> 6.8.2-1
- Remove the Speedo font files, as Xorg no longer supports Speedo fonts in
  6.8.0 onward but includes the fonts accidentally. (#142744,154191)
- Changed base subpackage post script to remove the Speedo font path from xfs
  configuration to avoid warnings in /var/log/messages from xfs about bad
  font path elements.

* Fri Apr  8 2005 Mike A. Harris <mharris@redhat.com> 6.8.1.1-2
- Added postun scripts for ISO8859-14 fonts, as they were previously missing,
  which could cause problems on uninstallation of those fonts.

* Wed Mar  2 2005 Mike A. Harris <mharris@redhat.com> 6.8.1.1-1.EL.1
- Bumped 6.8.1.1-1 to 6.8.1.1-1.EL.1, merged into RHEL4 for U1

* Mon Nov 29 2004 Mike A. Harris <mharris@redhat.com> 6.8.1.1-1
- Updated main tarball to include lucidatypewriter fonts that were missing
  from X.Org X11 6.8.1, and renamed it to 6.8.1.1 to avoid multiple tarballs
  with same version but different contents, since it was updated with the
  new fonts. (#139108, 139121, fdo#1560)

* Mon Oct 18 2004 Mike A. Harris <mharris@redhat.com> 6.8.1-1
- Update fonts to final xorg-x11-6.8.1 release, bump and rebuild to get rid
  of prerelease version number.

* Thu Sep  2 2004 Mike A. Harris <mharris@redhat.com> 6.7.99.903-6
- Remove various Syriac fonts which contain bad codepoints:  SyrCOMCtesiphon.otf
  SyrCOMKharput.otf, SyrCOMMalankara.otf, SyrCOMMidyat.otf, SyrCOMQenNeshrin.otf
  SyrCOMTurAbdin.otf, SyrCOMUrhoyBold.otf, SyrCOMUrhoy.otf (bug #97951)

* Thu Sep  2 2004 Mike A. Harris <mharris@redhat.com> 6.7.99.903-5
- Remove xorg-x11-base-fonts virtual provide as it hoses upgrades with yum
  due to a complex provide/conflict problem

* Thu Sep  2 2004 Mike A. Harris <mharris@redhat.com> 6.7.99.903-4
- Version the virtual provides of "Provides: xorg-x11-base-fonts = 6.7.99.903-1"
  and "Provides: base-fonts = 6.8.0-1" to try and resolve weird yum upgrade
  conflict issue.

* Thu Sep  2 2004 Mike A. Harris <mharris@redhat.com> 6.7.99.903-3
- Added "Provides: xorg-x11-base-fonts" to fonts-xorg-base subpackage for
  compatitiliby with prior packaging.
- Remove the fonts/util directory, as it does not include fonts.  It has been
  moved to the xorg-x11-font-utils subpackage of xorg-x11 where it probably
  should have been all along.
- Change fonts-xorg-truetype file list glob to luxi*.ttf so we can detect
  font additions better in the future, and avoid accidentally including things
  like Vera which we ship in external packaging already.

* Sat Aug 28 2004 Mike A. Harris <mharris@redhat.com> 6.7.99.903-2
- Use "rm -f" to delete Vera fonts, as it could possibly hang rpm during build

* Sat Aug 28 2004 Mike A. Harris <mharris@redhat.com> 6.7.99.903-1
- Initial official Red Hat RPM, based off of private packaging I have had for
  a while.

